//
//  ViewController.swift
//  PictureSelect
//
//  Created by mac on 2017/4/19.
//  Copyright © 2017年 showmuse. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    @IBOutlet weak var numText: UITextField!
    

    @IBOutlet weak var mainScroll: UIScrollView!
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        setupUI()
        
        
    }

    @IBAction func numChange(_ sender: Any) {
        let num = (sender as! UIStepper).value
        
        numText.text = "\(Int(num))"
        
    }
    
    func setupUI(){
        let picView = PicSelectView(frame: mainScroll.bounds, count: 3)
        picView.backgroundColor = UIColor.cyan
        mainScroll.addSubview(picView)
    }
    


    @IBAction func refreshView(_ sender: Any) {
        let num = Int(numText.text!)
        
        for v in mainScroll.subviews{
            v.removeFromSuperview()
        }
        
        let picView = PicSelectView(frame: mainScroll.bounds, count: num!)
        picView.backgroundColor = UIColor.cyan
        mainScroll.addSubview(picView)
        
    }
    

}

